API

Enable or disable a special offer

POST/api/crm/v2/special_offers_list.toggle_statusv2
operationId: specialOffersList.toggleStatus

Enables or disables a special offer. If the offer is enabled with a start date in the past, the start date is set to the current time.

Authorization

api-token + language + role

Query parameters

branch_idinteger

Branch where the request is executed. A partner with multiple branches must provide this parameter; otherwise, the request will fail. For a partner with a single branch, the server will assign it automatically.

Example: 8778

Request body application/json

object
idintegerrequired

Example: 1

activebooleanrequired

Example: true

Responses

OK

object (Response)
statusstringrequired

Values:successerror

Example: success

One of the options
object

Error details

errorobjectrequired
codeintegerrequired

Error code

variablesobject
descriptionstringrequired

Error description